Get a custom filter details
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"type": "conversation",
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Custom Filters
Get a custom filter details
Get the details of a custom filter in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
custom_filters
/
{custom_filter_id}
Get a custom filter details
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"type": "conversation",
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
The numeric ID of the custom filter
Response
Success
The ID of the custom filter
The name of the custom filter
The description about the custom filter
Available options:
conversation, contact, report A query that needs to be saved as a custom filter
The time at which the custom filter was created
The time at which the custom filter was updated